﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UCMortgageView.ascx.cs" Inherits="LoanCalculator.WebUX.Modules.UCMortgageView" %>
<div>
<p>
This will calculate your monthly payment amount and create a loan amortization schedule. <br />
Enter the loan information and click the "Calculate" button to crunch the numbers.
</p>
<fieldset>Enter Information<legend></legend>
<table>
<tr>
<td>Purchase Price:</td>
<td><asp:TextBox ID="PurchasePriceTextBox" runat="server" /></td>
<td>
    <asp:RequiredFieldValidator 
    ID="PurchasePriceValidator" 
    runat="server" 
    ControlToValidate="PurchasePriceTextBox" 
    SetFocusOnError="true"
    Text="*"
    ErrorMessage="Purchase price is required." />
    <asp:CompareValidator 
    runat="server" 
    id="PurchasePriceCompare" 
    controltovalidate="PurchasePriceTextBox" 
    ValueToCompare="0.0" 
    operator="GreaterThan" 
    type="Double" 
    Text="*"
    errormessage="The purchase price should be greater than zero!" />
</td>
</tr>
<tr>
<td>Interest Rate:</td>
<td><asp:TextBox ID="InterestRateTextBox" runat="server" /></td>
<td>
    <asp:RequiredFieldValidator 
    ID="InterestRateValidator" 
    runat="server" 
    ControlToValidate="InterestRateTextBox" 
    SetFocusOnError="true" 
    Text="*"
    ErrorMessage="Interest rate is required." />
    <asp:CompareValidator 
    runat="server" 
    id="InterestRateCompare" 
    controltovalidate="InterestRateTextBox" 
    ValueToCompare="0.0" 
    operator="GreaterThan" 
    type="Double" 
    Text="*"
    errormessage="The interest rate should be greater than zero!" />
    <br />
</td>
</tr>
<tr>
<td>Loan Term (years):</td>
<td><asp:TextBox ID="YearsTextBox" runat="server" /></td>
<td>
    <asp:RequiredFieldValidator 
    ID="YearsValidator" 
    runat="server" 
    ControlToValidate="YearsTextBox" 
    SetFocusOnError="true"
    Text="*"
    ErrorMessage="Purchase price is required." />
    <asp:CompareValidator 
    runat="server" 
    id="YearCompare" 
    controltovalidate="YearsTextBox" 
    ValueToCompare="0.0" 
    operator="GreaterThan" 
    type="Double" 
    Text="*"
    errormessage="The year should be greater than zero!" />
    <asp:RangeValidator   
    ID="YearsRangeValidator"  
    runat="server"  
    ControlToValidate="YearsTextBox"  
    Type="Double"  
    MinimumValue="0.1"  
    MaximumValue="100.00"  
    Text="*"  
    />  
    <br />
</td>
</tr>
<tr>
<td>Down Payment:</td>
<td><asp:TextBox ID="DownPaymentTextBox" runat="server" /></td>
<td><asp:Literal ID="DownPaymentError" runat="server" Text="" /></td>
</tr>
<tr>
<td>Property Tax(per year):</td>
<td><asp:TextBox ID="PropertyTaxTextBox" runat="server" /></td>
<td><asp:Literal ID="PropertyTaxError" runat="server" Text="" /></td>
</tr>
<tr>
<td>Property Insurance(per year):</td>
<td><asp:TextBox ID="PropertyInsuranceTextBox" runat="server" /></td>
<td><asp:Literal ID="PropertyInsuranceError" runat="server" Text="" /></td>
</tr>
<tr>
<td align="right"><asp:Button ID="CancelButton" runat="server" Text="Cancel" 
        onclick="CancelButton_Click" /></td>
<td align="right"><asp:Button ID="CalculateButton" runat="server" Text="Calculate" 
        onclick="CalculateButton_Click" /></td>
</tr>
<tr>
<td colspan="2"><asp:ValidationSummary ID="ValidationSummary1" runat="server" /></td>
</tr> 
</table>
</fieldset>
<fieldset>Calculated Results<legend></legend>
<table>
<tr>
<td>Monthly Payment:</td>
<td><asp:TextBox ID="MonthlyPaymentTextBox" runat="server" ReadOnly="true" /></td>
</tr>
</table>

<table>
<tr>
    <td>Amortization</td>
</tr>
<tr>

    <td><asp:Panel ID="AmortPanel" runat="server" Width="100%" Height="500px" ScrollBars="Both">
    <asp:GridView ID="AmortizationGridView" runat="server" 
            CellPadding="4" ForeColor="#333333" GridLines="None">
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        <EditRowStyle BackColor="#999999" />
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <SortedAscendingCellStyle BackColor="#E9E7E2" />
        <SortedAscendingHeaderStyle BackColor="#506C8C" />
        <SortedDescendingCellStyle BackColor="#FFFDF8" />
        <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
        </asp:GridView>
        </asp:Panel>
    </td>
</tr>
</table>
</fieldset>
<br />
<asp:Literal ID="MajorError" runat="server" Text="" />

</div>